Class | XSD::XMLParser::REXMLParser
In: | xsd/xmlparser/rexmlparser.rb
Parent: | XSD::XMLParser::Parser

### Methods

do_parse epilogue tag_end tag_start text xmldecl

### Included Modules

REXML::StreamListener

### Public Instance methods

do_parse(string_or_readable)

[Source]

    # File xsd/xmlparser/rexmlparser.rb, line 21
      def do_parse(string_or_readable)
        source = nil
        source = REXML::SourceFactory.create_from(string_or_readable)
        source.encoding = charset if charset
        # Listener passes a String in utf-8.
        @charset = 'utf-8'
        REXML::Document.parse_stream(source, self)
      end

epilogue()

[Source]

    # File xsd/xmlparser/rexmlparser.rb, line 30
      def epilogue
      end

tag_end(name)

[Source]

    # File xsd/xmlparser/rexmlparser.rb, line 37
      def tag_end(name)
        end_element(name)
      end

tag_start(name, attrs)

[Source]

    # File xsd/xmlparser/rexmlparser.rb, line 33
      def tag_start(name, attrs)
        start_element(name, attrs)
      end

text(text)

[Source]

    # File xsd/xmlparser/rexmlparser.rb, line 41
      def text(text)
        characters(text)
      end

xmldecl(version, encoding, standalone)

[Source]

    # File xsd/xmlparser/rexmlparser.rb, line 45
      def xmldecl(version, encoding, standalone)
        # Version should be checked.
      end

[Validate]